﻿@model ViewModels.Support.TicketDetailViewModel

@{
    ViewBag.Title = "جزئیات تیکت";
}

@section styles{
    <style>
        .shamsi-date{display:inline}
        .active-span,.deactive-span{margin:0}
    </style>
}

<div class="panel panel-primary">
	<div class="panel-heading">
	    <div class="row">
            <div class="col-md-2"><i class="fa fa-clock-o"></i> @Html.ShowDateTime(Model.Ticket.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)</div>
            <div class="col-md-10"><i class="fa fa-user"></i> @Model.Ticket.Sender.FullName (@Model.Ticket.SenderId)</div>
        </div>	
	</div>
    <div class="panel-body">
        <br />
        @Model.Ticket.Message
        <br /><br />
    </div>
    <div class="panel-footer">
        @Html.ShowBoolean(Model.Ticket.IsOpen, "باز", "بسته")
    </div>
</div>

@foreach (var item in Model.TicketReplies)
{
    if (item.Sender.Role.RoleName == DomainModels.Entities.Access.RoleName.RegisteredUsers || item.Sender.Role.RoleName == DomainModels.Entities.Access.RoleName.PermitedUsers)
    {
        <div class="panel panel-info">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-md-2"><i class="fa fa-clock-o"></i> @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)</div>
                    <div class="col-md-10"><i class="fa fa-user"></i>@item.Sender.FullName</div>
                </div>
            </div>
            <div class="panel-body">
                @item.Message
            </div>
        </div>
    }
    else
    {
        <div class="panel panel-green">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-md-2"><i class="fa fa-clock-o"></i> @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)</div>
                    <div class="col-md-10"><i class="fa fa-user"></i> کارشناس پشتیبانی</div>
                </div>
            </div>
            <div class="panel-body">
                @item.Message
            </div>
        </div>
    }
}



@{  Html.RenderAction("_Reply", new { ticketId = Model.Ticket.Id }); }